Page MenuHomePhabricator

Unblock log entry should contain the log ID of the block being undone
Closed, ResolvedPublic

Description

Block log entries contain the block ID as a relation, unblock log entries don't, so it's hard to correlate the unblock event with the block event that it undid, which could be useful in a number of scenarios.

Similarly, block log events should probably contain a reference to the earlier block they replaced, although this is probably less frequently needed.

Event Timeline

Tgr created this task.Nov 27 2018, 6:26 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 27 2018, 6:26 AM
KTC added a subscriber: KTC.Nov 27 2018, 12:39 PM
jrbs added a subscriber: jrbs.Nov 27 2018, 3:17 PM
Risker added a subscriber: Risker.Nov 27 2018, 8:31 PM

Change 480427 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/core@master] Include block ID in unblock log

https://gerrit.wikimedia.org/r/480427

Tgr added a comment.Dec 18 2018, 8:00 AM

Similarly, block log events should probably contain a reference to the earlier block they replaced, although this is probably less frequently needed.

The new block keeps the ID of the block it replaces, so this part is moot.

Change 480427 merged by jenkins-bot:
[mediawiki/core@master] Include block ID in unblock log

https://gerrit.wikimedia.org/r/480427

Tgr closed this task as Resolved.Dec 20 2018, 6:23 PM
Tgr claimed this task.
Tgr removed a project: Patch-For-Review.